__far_ptr Union Reference

`#include <gbdk-lib/include/gbdk/far_ptr.h>`

## Data Fields

FAR_PTR | ptr
struct {
void * ofs
uint16_t seg
} | segofs
struct {
void(* fn )(void)
uint16_t seg
} | segfn

## Detailed Description

Union for working with members of a FAR_PTR

## Field Documentation

## ptr

FAR_PTR __far_ptr::ptr

## ofs

void* __far_ptr::ofs

## seg

uint16_t __far_ptr::seg

##

struct { ... } __far_ptr::segofs

## fn

void(* __far_ptr::fn) (void)

##

struct { ... } __far_ptr::segfn

The documentation for this union was generated from the following file:

- gbdk-lib/include/gbdk/far_ptr.h